<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
<title>支持E_mail地址激活限制</title>
<style type="text/css">
<!--
.STYLE1 {color: #FF0000}
-->
</style>
</head>

<body> 
<table width="520" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td><img src="images/bg_06 (2).gif" width="520" height="138"></td>
  </tr>
  <tr>
    <td background="images/bg_06 (3).gif">

<table width="506" border="0" align="center" cellpadding="0" cellspacing="0">
<script>
function check_email(tb_voter_mail){
	var str=tb_voter_mail;
	var Expression=/\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*/; 
	var objExp=new RegExp(Expression);
	if(objExp.test(str)==true){
		return true;
	}else{
		return false;
	}
}
</script>
<script language="JavaScript" type="text/javascript">
function check_input(form){		    
	if(form.tb_voter_name.value==""){
		alert("请填写会员名称！");
		form.tb_voter_name.select();
		return(false);
	}
	if(form.tb_voter_pass.value==""){
		alert("请输入密码！");
		form.tb_voter_pass.focus();
		return(false);
	}
	if(form.tb_voter_mail.value==""){
	    alert("请输入E-mail地址!");
	    form.tb_voter_mail.select();
	    return(false);
	}
	if(!check_email(form.tb_voter_mail.value)){
	    alert("您输入的E-mail地址的格式不正确!");
	    form.tb_voter_mail.focus();
	    return(false);
	}
	if(form.tb_voter_tel.value==""){			
		alert("请输入电话！");
		form.tb_voter_tel.select();
		return(false);
	}
	if(form.tb_voter_address.value==""){
		alert("请填写地址！");
		form.tb_voter_address.select();
		return(false);			
	}
	
	return(true);
}
</script>
                                <form action="register_ok.php" method="post" name="form1" id="form1" onSubmit="return check_input(form1)">
                                 
                                  <tr>
                                    <td width="106" height="30"><div align="right">会员名：</div></td>
                                    <td width="400" height="30" colspan="2"><input name="tb_voter_name" type="text" class="inputcss" id="tb_voter_name" size="25" /></td>
                                  </tr>
                                  <tr>
                                    <td height="30"><div align="right">密码：</div></td>
                                    <td height="30" colspan="2"><input name="tb_voter_pass" type="password" id="tb_voter_pass" size="25"></td>
                                  </tr>
                                  <tr>
                                    <td height="30"><div align="right">邮箱地址：</div></td>
                                    <td height="30" colspan="2"><input name="tb_voter_mail" type="text" id="tb_voter_mail" size="25" />
                                      &nbsp;<span class="STYLE1">(请填写正确的E-mail地址！)</span></td>
                                  </tr>
                                  <tr>
                                    <td height="30"><div align="right">电话号码：</div></td>
                                    <td height="30" colspan="2"><input name="tb_voter_tel" type="text" id="tb_voter_tel" size="25" />
                                    &nbsp;</td>
                                  </tr>							  
						
                                  <tr>
                                    <td height="30"><div align="right">联系地址：</div></td>
                                    <td height="30" colspan="2"><input name="tb_voter_address" type="text" id="tb_voter_address" size="32" /></td>
                                  </tr>
                                 
                                  <tr>
                                    <td height="50" colspan="3"><div align="center">
                                        
                                                                       <input type="submit" name="submit"  value="提交注册信息" />
                                      &nbsp;&nbsp;
                                      <input name="reset" type="reset"  value="重新填写注册信息" />
                                    </div></td>
                                  </tr>
                                </form>
</table>


</td>
  </tr>
  <tr>
    <td><img src="images/bg_06 (1).gif" width="520" height="64"></td>
  </tr>
</table>
</body>
</html>
